Skip to main content
PATCH
/
orgs
/
{org_id}
/
billing
/
budgets
cURL
curl --request PATCH \
  --url https://api.timbal.ai/orgs/{org_id}/billing/budgets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "budgets": [
    {
      "budget_type": "<string>",
      "limit_credits": 123,
      "project_id": 123,
      "role_id": 123
    }
  ]
}
'
{
  "budgets": [
    {
      "budget_type": "<string>",
      "limit_credits": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "current_credits": 123,
      "id": 123,
      "period_end": "2023-11-07T05:31:56Z",
      "period_start": "2023-11-07T05:31:56Z",
      "project_id": 123,
      "project_name": "<string>",
      "role_id": 123,
      "role_name": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required

Body

application/json

Partial budget update — merge rows without touching other configured targets.

budgets
object[]

Response

Budgets saved

budgets
object[]
required